
Summary:	Default Mandriva Linux screensaver for KDE.
Name:		krozat
Version:	2006
Release:	4mdk
Epoch:		2
License:	GPL
URL:		http://www.mandrivalinux.com/
Group:		System/Configuration/Other

# get the source from our cvs repository (see
# http://qa.mandriva.com/twiki/bin/view/Main/CvsGuide)
# no extra source or patch are allowed here.
Source:		krozat-%{version}.tar.bz2

BuildRoot:		%_tmppath/%name-%version-%release-root
Requires:       menu
%if %mdkversion >= 920
BuildRequires:  XFree86-devel
BuildRequires:  arts-devel
BuildRequires:  fam-devel
BuildRequires:  kdelibs-devel
BuildRequires:  libart_lgpl-devel
BuildRequires:  jpeg-devel
BuildRequires:  png-devel
BuildRequires:  qt3-devel
BuildRequires:  zlib-devel
%else
BuildRequires:  XFree86-devel
BuildRequires:  libarts-devel
BuildRequires:  fam-devel
BuildRequires:  kdelibs-devel
BuildRequires:  libart_lgpl2-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libpng-devel
BuildRequires:  libqt3-devel
BuildRequires:  zlib-devel
%endif

BuildRequires:	intltool

Summary:	Default Mandriva Linux screensaver for KDE
Group:		Graphical desktop/KDE
Requires:	kdebase
Requires:	mandrake_desk >= 9.2

%description
This package contains the default Mandriva Linux screensaver for KDE.

%prep

%setup -q
find . -type 'd' -name 'CVS' | xargs rm -fr

%build
make -f admin/Makefile.common

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure script past this line
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

./configure \
        --prefix=%_prefix --libdir=%_libdir \
        --enable-final --disable-debug --with-xinerama --disable-rpath

%make

%install
rm -rf %buildroot

%makeinstall_std

install -d %buildroot/%_menudir
kdedesktop2mdkmenu.pl krozat .hidden/ScreenSavers %buildroot/%_datadir/applnk/System/ScreenSavers/Krozat.desktop %buildroot/%_menudir/krozat kde

%find_lang krozat


%post 
%update_menus

%postun
%clean_menus

%clean
rm -fr %buildroot



%files -f krozat.lang 
%defattr(-,root,root)
#
%_bindir/krozat.kss
#
#
%dir %_datadir/applnk/System/
%dir %_datadir/applnk/System/ScreenSavers/
%_datadir/applnk/System/ScreenSavers/*.desktop
#
#
#
%_menudir/krozat


%changelog
* Tue Aug 30 2005 Laurent MONTEL <lmontel@mandriva.com> 2006-4mdk
- Fix other color

* Tue Aug 30 2005 Laurent MONTEL <lmontel@mandriva.com> 2006-3mdk
- Adapt background color to distro

* Tue Aug 16 2005 Laurent MONTEL <lmontel@mandriva.com> 2006-2mdk
- Rebuild

* Mon Aug 15 2005 Laurent MONTEL <lmontel@mandriva.com> 2006-1mdk
- Rebuild

* Wed Oct 13 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.1-3mdk
- Fix translation pb (bug found by Gwenole)

* Wed Oct 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.1-2mdk
- Updtae po

* Tue Aug 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.1-1mdk
- Update po file

* Mon Jun 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.0-7mdk
- Update version

* Mon Jun 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.0-6mdk
- Rebuild with new gcc
- Fix automake/autoconf
- use %%mdkversion

* Fri Feb 27 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.0-6mdk
- Update po file

* Fri Jan 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.0-5mdk
- Fix requires (found by vdanen)

* Thu Jan 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.0-4mdk
- Fix other mem leak

* Thu Jan 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.0-3mdk
- Rebuild
- update po file
- Fix make clean
- Fix mem leak

* Thu Dec 04 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 10.0-2mdk
- Translate po file

* Tue Dec 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 10.0-1mdk
- Add po file

* Tue Sep 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-4mdk
- Fix build

* Thu Jul 17 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-3mdk
- Rebuild

* Tue Dec 24 2002 Stefan van der Eijk <stefan@eijk.nu. 9.1-2mdk
- BuildRequires: libart_lgpl2-devel


* Tue Dec 17 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-1mdk
- 9.1

* Fri Oct 18 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 9.0-7mdk
- Rebuild

* Sat Aug 31 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 9.0-6mdk
- Fix about dialogbox

* Fri Aug 23 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 9.0-5mdk
- Fix MDK copyright.

* Wed Aug 14 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 9.0-4mdk
- Rebuild against new gcc-3.2

* Fri Aug  9 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 9.0-3mdk
- lib64 fixes, again. They were split to nihil when mandrake_desk was split

* Thu Aug  8 2002 Stefan van der Eijk <stefan@eijk.nu> 9.0-2mdk
- BuildRequires

* Fri Aug 02 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 9.0-1mdk
- Initial package

